Subject: Re: What's a good term setting for rlogin?
From: "Ehud Karni" <[email-masked]>
To: "Charles Krug" <[email-masked]>
Cc: [email-masked]
Date: Wed, 9 Oct 2002 20:56:23 +0200

On Wed, 9 Oct 2002 11:31:32 -0400, Charles Krug <[email-masked]> wrote:
> 
> On Wed, Oct 09, 2002 at 10:26:45AM -0400, [email-masked] wrote:
> > Why not just copy the Cygwin termcap entry to the machines that you log
> > into?
> > 
> 
> I copied these lines from /Cygwin/etc/termcap into $HOME/.termcap:
> 
> cygwin:\
>         :xn@:op=\E[39;49m:Km=\E[M:te=\E[2J\E[?47l\E8:ti=\E7\E[?47h:tc=linux:
> 
> Setting TERM to "cygwin", I get:
> 
> homer:charles% info termcap
> info: Terminal type `cygwin' is not smart enough to run Info.
> 
> Any other ideas?

Bellow is what I what I have in my termcap. I added it a long time ago
so I don't remember where I took it. If the comments are right it was 
written (modified) by Earnie Boyd, a regular Cygwin contributor.

Another option is to use rxvt (which uses xterm).

Ehud.

# Use this for cygwin (tested with version 1.1.0).
# I've combined pcansi and linux.  Some values of course were different and
# I've indicated which of these were and which I used.
# Cheers, [email-masked]
# several changes based on running with tack and comparing with older entry -TD
# (untranslatable capabilities removed to fit entry within 1023 bytes)
# (sgr removed to fit entry within 1023 bytes)
# (acsc removed to fit entry within 1023 bytes)
cygwin|ansi emulation for Cygwin:\
	:am:eo:in:ms:xo:\
	:Co#8:NC#3:co#80:it#8:li#25:pa#64:\
	:&7=^Z:@7=\E[4~:AB=\E[4%dm:AF=\E[3%dm:AL=\E[%dL:DC=\E[%dP:\
	:DL=\E[%dM:F1=\E[23~:F2=\E[24~:F3=\E[25~:F4=\E[26~:\
	:F5=\E[28~:F6=\E[29~:F7=\E[31~:F8=\E[32~:F9=\E[33~:\
	:FA=\E[34~:IC=\E[%d@:S2=\E[11m:S3=\E[10m:al=\E[L:bl=^G:\
	:cb=\E[1K:cd=\E[J:ce=\E[K:ch=\E[%i%dG:cl=\E[H\E[J:\
	:cm=\E[%i%d;%dH:cr=^M:cv=\E[%i%dd:dc=\E[P:dl=\E[M:do=\E[B:\
	:ei=\E[4l:ho=\E[H:ic=\E[@:im=\E[4h:k1=\E[[A:k2=\E[[B:\
	:k3=\E[[C:k4=\E[[D:k5=\E[[E:k6=\E[17~:k7=\E[18~:k8=\E[19~:\
	:k9=\E[20~:k;=\E[21~:kD=\E[3~:kI=\E[2~:kN=\E[6~:kP=\E[5~:\
	:kb=^H:kd=\E[B:kh=\E[1~:kl=\E[D:kr=\E[C:ku=\E[A:le=^H:\
	:md=\E[1m:me=\E[0;10m:mk=\E[8m:mr=\E[7m:nd=\E[C:nw=^M^J:\
	:op=\E[39;49m:r1=\Ec\E]R:rc=\E8:sc=\E7:se=\E[27m:sf=^J:\
	:so=\E[7m:sr=\EM:st=\EH:ta=^I:u6=\E[%i%d;%dR:u7=\E[6n:\
	:u9=\E[c:ue=\E[24m:up=\E[A:us=\E[4m:

-- 
 Ehud Karni           Tel: +972-3-7966-561  /"\
 Mivtach - Simon      Fax: +972-3-7966-667  \ /  ASCII Ribbon Campaign
 Insurance agencies   (USA) voice mail and   X   Against   HTML   Mail
 http://www.mvs.co.il  FAX:  1-815-5509341  / \
 mailto:[email-masked]                  Better  Safe  Than  Sorry

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/